### Class

# Cally Util

since: 13

#### Description [src]

    class Cally.Util : Atk.Util
    {
      /* No available fields */
    }

`AtkUtil` implementation

`CallyUtil` implements `AtkUtil` abstract methods. Although it includes the name “Util” it is in fact one of the most important interfaces to be implemented in any ATK toolkit implementation.

For instance, it defines atk_get_root(), the method that returns the root object in the hierarchy. Without it, you don’t have available any accessible object.

Available since: 13

#### Ancestors

- AtkUtil
- GObject

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct CallyUtilClass {
      /* no available fields */
    }

The CallyUtilClass structure contains only private data.